Subject: Re: [PATCH net v2 2/2] net: phy: micrel: remove KSZ9477 EEE quirks now handled by phylink

From: Oleksij Rempel <[email-masked]>
Date: Tue, 29 Apr 2025 09:30:27 +0200

On Tue, Apr 29, 2025 at 09:23:17AM +0200, Oleksij Rempel wrote:
> The KSZ9477 PHY driver contained workarounds for broken EEE capability
> advertisements by manually masking supported EEE modes and forcibly
> disabling EEE if MICREL_NO_EEE was set.
> 
> With proper MAC-side EEE handling implemented via phylink, these quirks
> are no longer necessary. Remove MICREL_NO_EEE handling and the use of
> ksz9477_get_features().
> 
> This simplifies the PHY driver and avoids duplicated EEE management logic.
> 
> Signed-off-by: Oleksij Rempel <[email-masked]>

Not all was included in the kernel build bot answer:
kernel test robot notices the stable kernel rule is not satisfied.

I'll resend with cc: stable@... included.

-- 
Pengutronix e.K.                           |                             |
Steuerwalder Str. 21                       | http://www.pengutronix.de/  |
31137 Hildesheim, Germany                  | Phone: +49-5121-206917-0    |
Amtsgericht Hildesheim, HRA 2686           | Fax:   +49-5121-206917-5555 |